<script setup lang="ts">
import { Ref, ref } from "vue";

type TabList = {
  BusLinesTab: string;
  StopsTab: string;
};
const current: Ref<keyof TabList> = ref("BusLinesTab");

const tabs: Ref<TabList> = ref({
  BusLinesTab: "BusLinesTab",
  StopsTab: "StopsTab",
});
</script>

<template>
  <router-link :to="{ name: current }" class="reset">
    <div class="row bg-white navigation">
        <button
          class="col-1 px-2 w-auto tab-button"
          v-for="(_, tab) in tabs"
          :key="tab"
          :class="{ active: current === tab }"
          @click="current = tab"
        >
          {{ tab }}
        </button>
    </div>
  </router-link>
</template>

<style scoped>
.navigation {
  height: 64px;
  margin: 16px 0;
  padding: 0 24px;
}
.reset {
  color: inherit;
  text-decoration: none;
}

.tab-button {
  position: relative;
  background-color: inherit;
  border: none;
}

.tab-button::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background-color: blue; /* Change this to your desired border color */
  transition: width 0.3s ease; /* Adjust the duration and easing as needed */
}

.tab-button.active::after {
  width: 100%;
}
</style>
